> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Partition List

> Searches for partitions associated with the dataset. Allows pagination, sorting, and filtering of results



## OpenAPI

````yaml /openapi/product/data-sets.yaml post /api/query/v1/datasources/{datasetId}/partition/list
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/query/v1/datasources/{datasetId}/partition/list:
    post:
      tags:
        - Datasets API
      summary: Search Partition List
      description: >-
        Searches for partitions associated with the dataset. Allows pagination,
        sorting, and filtering of results
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartitionSearch'
            example:
              paginationFields:
                - fieldName: datecompleted
                  sortOrder: DESC
                  filterValues:
                    MIN: null
                    MAX: null
              limit: 100
              offset: 0
      responses:
        '200':
          description: Filtered partition list
      x-codeSamples:
        - lang: HTTP
          source: |
            POST /api/query/v1/datasources/{datasetId}/partition/list HTTP/1.1
            Host: {instance}.domo.com
            X-DOMO-Developer-Token: {token}
            Content-Type: application/json

            {
              "paginationFields": [
                {
                  "fieldName": "datecompleted",
                  "sortOrder": "DESC",
                  "filterValues": {
                    "MIN": null,
                    "MAX": null
                  }
                }
              ],
              "limit": 100,
              "offset": 0
            }
components:
  schemas:
    PartitionSearch:
      type: object
      properties:
        paginationFields:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
              sortOrder:
                type: string
                enum:
                  - ASC
                  - DESC
              filterValues:
                type: object
                properties:
                  MIN:
                    nullable: true
                  MAX:
                    nullable: true
        limit:
          type: integer
          default: 100
        offset:
          type: integer
          default: 0
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````